﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace ChartSample
{
    public class App : Application
    {
        //public App()
        //{
        //    MainPage = new Sample();
        //}

        public App ()
		{
			// The root page of CarouselPage with Chart views.
			MainPage = CreateCarouselPageWithChart();

			// The root page of CarouselPage with Scroll views. Scroll view behaviour is similar to chart view.
			 //MainPage = CreateCarouselPage();

		}

		public CarouselPage CreateCarouselPageWithChart()
		{
			CarouselPage page = new CarouselPage ();

			page.Children.Add (CreateChart());
			page.Children.Add (CreateChart());
			page.Children.Add (CreateChart());
			return page;
		}

		public CarouselPage CreateCarouselPage()
		{
			CarouselPage page = new CarouselPage ();

			page.Children.Add (CreateScrollView(1));
			page.Children.Add (CreateScrollView(2));
			page.Children.Add (CreateScrollView(3));
			return page;
		}

		public ContentPage CreateScrollView(int i)
		{
			ContentPage contentPage = new ContentPage ();

			ScrollView view = new ScrollView ();
			view.Orientation = ScrollOrientation.Horizontal;
			Image image = new Image ();
			image.HeightRequest = 500;
			image.WidthRequest = 500;

			view.Content = image;

			if (i == 2) {
				image.BackgroundColor = Color.Green;
			} else if (i == 3) {
				image.BackgroundColor = Color.Gray;
			} else {
				image.BackgroundColor = Color.Blue;
			}
			contentPage.Content =view ;
			return contentPage;
		}


		public ContentPage CreateChart()
		{
			ContentPage contentPage = new ContentPage ();

			SfChart chart = new SfChart ();
			chart.PrimaryAxis = new NumericalAxis ();
			chart.SecondaryAxis = new NumericalAxis ();

			chart.ChartBehaviors.Add (new ChartZoomPanBehavior());

			ColumnSeries series = new ColumnSeries ();
			series.ItemsSource = Datasources ();

			chart.Series.Add (series);

			contentPage.Content = chart ;
			return contentPage;
		}

		public ObservableCollection<ChartDataPoint> Datasources()
		{
			var Data1 = new ObservableCollection<ChartDataPoint>();
			Data1.Add(new ChartDataPoint(10, 14));
			Data1.Add(new ChartDataPoint(20, 34));
			Data1.Add(new ChartDataPoint(30, 23));
			Data1.Add(new ChartDataPoint(40, 53));
			Data1.Add(new ChartDataPoint(50, 25));

			return Data1;
		}
			
		protected override void OnStart ()
		{
			// Handle when your app starts
		}

		protected override void OnSleep ()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume ()
		{
			// Handle when your app resumes
		}
	}
}
